VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig:

## Avaliable Methods
public method | get_role ()
public method | set_fullname ()
public method | get_email ()
public method | set_role ()
public method | set_password ()
public method | set_username ()
public method | get_password ()
public method | set_email ()
public method | get_username ()
public method | get_fullname ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig` class Structure that defines a new user configuration.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::get_email | ( |  | ) |

Gets the value of 'email' property.

Return values

  email | - The current value of the field. Email address of the local account. Optional#

Code:
click to view
# Number of lines of code in get_email: 4
sub get_email {
my ($self, %args) = @_;
return $self->{'email'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::get_fullname | ( |  | ) |

Gets the value of 'fullname' property.

Return values

  fullname | - The current value of the field. User full name Optional#

Code:
click to view
# Number of lines of code in get_fullname: 4
sub get_fullname {
my ($self, %args) = @_;
return $self->{'fullname'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::get_password | ( |  | ) |

Gets the value of 'password' property.

Return values

  password | - The current value of the field. User login password In Interactive mode, provide –password as part of the command, and enter the value on the prompt. When accessed remotely, provide –password value as part the command. Secret#

Code:
click to view
# Number of lines of code in get_password: 4
sub get_password {
my ($self, %args) = @_;
return $self->{'password'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::get_role | ( |  | ) |

Gets the value of 'role' property.

Return values

  role | - The current value of the field. User roles. The default role is operator. Optional#

Code:
click to view
# Number of lines of code in get_role: 4
sub get_role {
my ($self, %args) = @_;
return $self->{'role'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::get_username | ( |  | ) |

Gets the value of 'username' property.

Return values

  username | - The current value of the field. User login name String#

Code:
click to view
# Number of lines of code in get_username: 4
sub get_username {
my ($self, %args) = @_;
return $self->{'username'};
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{username} = $args{'username'};
$self->{role} = $args{'role'};
$self->{password} = $args{'password'};
$self->{fullname} = $args{'fullname'};
$self->{email} = $args{'email'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.localaccounts.user.new_user_config');
$self->set_binding_field('key' => 'username', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'role', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Localaccounts', 'type_name' => 'User::UserRole')));
$self->set_binding_field('key' => 'password', 'value' => new Com::Vmware::Vapi::Bindings::Type::SecretType());
$self->set_binding_field('key' => 'fullname', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'email', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::set_email | ( |  | ) |

Sets the given value for 'email' property.

Parameters

  email | - New value for the field. Email address of the local account.

Code:
click to view
# Number of lines of code in set_email: 5
sub set_email {
my ($self, %args) = @_;
$self->{'email'} = $args{'email'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::set_fullname | ( |  | ) |

Sets the given value for 'fullname' property.

Parameters

  fullname | - New value for the field. User full name

Code:
click to view
# Number of lines of code in set_fullname: 5
sub set_fullname {
my ($self, %args) = @_;
$self->{'fullname'} = $args{'fullname'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::set_password | ( |  | ) |

Sets the given value for 'password' property.

Parameters

  password | - New value for the field. User login password In Interactive mode, provide –password as part of the command, and enter the value on the prompt. When accessed remotely, provide –password value as part the command.

Code:
click to view
# Number of lines of code in set_password: 5
sub set_password {
my ($self, %args) = @_;
$self->{'password'} = $args{'password'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::set_role | ( |  | ) |

Sets the given value for 'role' property.

Parameters

  role | - New value for the field. User roles. The default role is operator.

Code:
click to view
# Number of lines of code in set_role: 5
sub set_role {
my ($self, %args) = @_;
$self->{'role'} = $args{'role'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Localaccounts::User::NewUserConfig::set_username | ( |  | ) |

Sets the given value for 'username' property.

Parameters

  username | - New value for the field. User login name

Code:
click to view
# Number of lines of code in set_username: 5
sub set_username {
my ($self, %args) = @_;
$self->{'username'} = $args{'username'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Localaccounts/User.pm